---
title: "Compare two scalar values"
tags:
- condition
- eca_base
- eca condition 1.0.0
---
# Compare two scalar values

Available since: 1.0.0

Compares two scalar values based on several conditions.

{!include/plugins/eca_base/condition/eca_scalar.md!}

## Fields

`First value`

:   The first value to be compared.

    {!include/plugins/eca_base/condition/eca_scalar/left.md!}

`Second value`

:   The second value to be compared.

    {!include/plugins/eca_base/condition/eca_scalar/right.md!}

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_scalar_operator</em>

    {!include/plugins/eca_base/condition/eca_scalar/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_scalar_type</em>

    {!include/plugins/eca_base/condition/eca_scalar/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_base/condition/eca_scalar/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_base/condition/eca_scalar/negate.md!}
