---
title: "Form: add options field"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form: add options field

Available since: 1.0.0

Add a field with options as radios, checkboxes or select dropdown to the current form in scope.

{!include/plugins/eca_form/action/eca_form_add_optionsfield.md!}

## Fields

`Allow multiple values`

:   Whether the user can select more than one value in the option field.

    {!include/plugins/eca_form/action/eca_form_add_optionsfield/multiple.md!}

`Options`

:   Can be a comma-separated sequence of key-value pairs (e.g. <em>k1:v1,k2:v2</em> or a token that holds a list of key-value pairs. Alternatively use YAML syntax to define one key-value pair per line. Example: <em>key1: "value1"</em>. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>title: "[node:title]"</em>

    {!include/plugins/eca_form/action/eca_form_add_optionsfield/options.md!}

`Interpret above value as YAML format`

:   When using YAML format to define the options above, this option needs to be enabled.

    {!include/plugins/eca_form/action/eca_form_add_optionsfield/use_yaml.md!}

`Field type`

:   List of the available types of the field to be added.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_form_add_optionsfield_type</em>

    {!include/plugins/eca_form/action/eca_form_add_optionsfield/type.md!}

`Field name`

:   The field name is a machine name and is used for being identified on form submission. Example: <em>first_name</em>. It can later be accessed via token <em>[current_form:values:first_name]</em>.

    {!include/plugins/eca_form/action/eca_form_add_optionsfield/name.md!}

`Field title`

:   The title of the field to be added.

    {!include/plugins/eca_form/action/eca_form_add_optionsfield/title.md!}

`Field description`

:   The description of the field to be added.

    {!include/plugins/eca_form/action/eca_form_add_optionsfield/description.md!}

`Field is required`

:   Whether the added field is required or not.

    {!include/plugins/eca_form/action/eca_form_add_optionsfield/required.md!}

`Default value`

:   The default value if the field is empty.

    {!include/plugins/eca_form/action/eca_form_add_optionsfield/default_value.md!}

`Element weight`

:   The lower the weight, the submit action appears before other submit actions having a higher weight.

    {!include/plugins/eca_form/action/eca_form_add_optionsfield/weight.md!}
