---
title: "Parameter: compare value"
tags:
- condition
- eca_parameters
- eca_parameters condition 1.0.0
---
# Parameter: compare value

Available since: 1.0.0



{!include/plugins/eca_parameters/condition/eca_parameter_value.md!}

## Fields

`Parameter name`

:   The machine name of the parameter. Examples: <em>my_eca_parameter</em>, <em>global:my_global_param</em>, <em>node.article:my_article_param</em>. Available parameters: No parameters have been defined via configuration yet.

    {!include/plugins/eca_parameters/condition/eca_parameter_value/parameter_name.md!}

`Value`

:   This field supports tokens.

    {!include/plugins/eca_parameters/condition/eca_parameter_value/value.md!}

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_parameter_value_operator</em>

    {!include/plugins/eca_parameters/condition/eca_parameter_value/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_parameter_value_type</em>

    {!include/plugins/eca_parameters/condition/eca_parameter_value/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_parameters/condition/eca_parameter_value/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_parameters/condition/eca_parameter_value/negate.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this condition should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_parameters/condition/eca_parameter_value/entity.md!}
