---
title: "Render: unserialize"
tags:
- action
- eca_render
- eca action 1.1.0
---
# Render: unserialize

Available since: 1.1.0

Un-serializes / deserializes data.

{!include/plugins/eca_render/action/eca_render_unserialize_serialization.md!}

## Fields

`Data type`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_unserialize:serialization_type</em>

    {!include/plugins/eca_render/action/eca_render_unserialize_serialization/type.md!}

`Format`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_unserialize:serialization_format</em>

    {!include/plugins/eca_render/action/eca_render_unserialize_serialization/format.md!}

`Value`

:   The value to deserialize.<br/>This field supports tokens.

    {!include/plugins/eca_render/action/eca_render_unserialize_serialization/value.md!}

`Machine name`

:   Optionally define a machine name of this render element. It will be made available under that name in the render array of the current event in scope. Nested elements can be set with using "][" brackets, for example <em>details][title</em>.

    {!include/plugins/eca_render/action/eca_render_unserialize_serialization/name.md!}

`Token name`

:   Optionally define a token name of this render element. It will be made available under that token name for later usage. Please provide the token name only, without brackets.

    {!include/plugins/eca_render/action/eca_render_unserialize_serialization/token_name.md!}

`Element weight`

:   Optionally specify an element weight. The lower the weight, the element appears before other elements having a higher weight.

    {!include/plugins/eca_render/action/eca_render_unserialize_serialization/weight.md!}

`Build mode`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_unserialize:serialization_mode</em>

    {!include/plugins/eca_render/action/eca_render_unserialize_serialization/mode.md!}
