---
title: "ECA Extra field"
tags:
- event
- eca_render
- eca event 1.1.0
---
# ECA Extra field

Available since: 1.1.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |
    | `[entity]` | The entity of the event. |
    | `[ENTITY_TYPE]` | The entity of the event under the name of its entity type. |

{!include/plugins/eca_render/event/eca_render_extra_field.md!}

## Fields

`Restrict by entity type ID`

:   Example: <em>node, taxonomy_term, user</em>

    {!include/plugins/eca_render/event/eca_render_extra_field/entity_type_id.md!}

`Restrict by entity bundle`

:   Example: <em>article, tags</em>

    {!include/plugins/eca_render/event/eca_render_extra_field/bundle.md!}

`Machine name of the extra field`

:   The <em>machine name</em> of the extra field. Must only container lowercase alphanumeric characters and underscores.

    {!include/plugins/eca_render/event/eca_render_extra_field/extra_field_name.md!}

`Label of the extra field`

:   The human-readable label of the extra field.

    {!include/plugins/eca_render/event/eca_render_extra_field/extra_field_label.md!}

`Description`

:   

    {!include/plugins/eca_render/event/eca_render_extra_field/extra_field_description.md!}

`Display type`

:   

    {!include/plugins/eca_render/event/eca_render_extra_field/display_type.md!}

`Weight`

:   The default weight order. Must be an integer number.

    {!include/plugins/eca_render/event/eca_render_extra_field/weight.md!}

`Default visible`

:   When enabled, the extra field will be automatically displayed by default.

    {!include/plugins/eca_render/event/eca_render_extra_field/visible.md!}
